#!/bin/bash

function usage {
    echo "Usage is as:"
    echo "	./install.sh APACHE_DEST_DIR PARSER_DEST_DIR"
}

SRC_DIR=src

if [ $# -eq 1 ]; then
    echo [WARN] PARSER_DEST_DIR not specified...
    echo Copying the parser to "$1"
    APACHE_DST_DIR="$1"
    PARSER_DST_DIR="$1"
elif [ $# -eq 2 ]; then
    APACHE_DST_DIR="$1"
    PARSER_DST_DIR="$2"    
else
    usage
    exit -1;
fi

# Copy the website to apache directory
cp -R $SRC_DIR/website/ $APACHE_DST_DIR/website

# Fix for the smarty bug?
chmod 777 $APACHE_DST_DIR/website/lib/smarty/templates_c
chmod 777 $APACHE_DST_DIR/website/lib/smarty/cache

# Copy the parser to perhaps someother directory
cp -R $SRC_DIR/parser/ $PARSER_DST_DIR/parser

echo "Website installed to $APACHE_DST_DIR/website"
echo "Parser  installed to $PARSER_DST_DIR/parser"
echo "Next step is to set up mysql by visiting http://host/$APACHE_DST_DIR/website/www/install.php"

