<?php

class Favorite_Service_Controller extends AbstractController
{
	function __construct()
	{
		parent::__construct();
		$this->load->model('Favorites_Model', 'favorite');
		$this->load->model('User_Model', 'user');
	}

	function addSpecial()
	{
		$error = false;
		if (!$this->user->isLoggedIn()) {
			$error = 'User not logged in.';
		}

		$specialId = Url::getInt('specialId');

		$this->favorite->addSpecial($this->user->id(), $specialId);

		$result = array(
			'success' => !$error,
			'error' => $error
		);

		echo json_encode($result);
	}

	function addRecipe()
	{
		$error = false;
		if (!$this->user->isLoggedIn()) {
			$error = 'User not logged in.';
		}

		$recipeId = Url::getInt('recipeId');

		$this->favorite->addRecipe($this->user->id(), $recipeId);

		$result = array(
			'success' => !$error,
			'error' => $error
		);

		echo json_encode($result);

	}

	function removeSpecial()
	{
		$error = false;
		$specialId = Url::getInt('specialId');
		if (!$this->user->isLoggedIn()) {
			$error = 'User not logged in.';
		}

		$this->favorite->removeSpecial($this->user->id(), $specialId);

		$result = array(
			'success' => !$error,
			'error' => $error
		);

		echo json_encode($result);
	}

	function removeRecipe()
	{
		$error = false;
		$recipeId = Url::getInt('recipeId');
		if (!$this->user->isLoggedIn()) {
			$error = 'User not logged in.';
		}

		$this->favorite->removeRecipe($this->user->id(), $recipeId);

		$result = array(
			'success' => !$error,
			'error' => $error
		);

		echo json_encode($result);
	}

	function addFood()
	{
		$error = false;
		$foodName = Url::get('foodName');

		if (!$this->user->isLoggedIn()) {
			$error = 'User not logged in.';
		}

		$this->favorite->addFood($this->user->id(), $foodName);

		$result = array(
			'success' => !$error,
			'error' => $error,
		);

		echo json_encode($result);
	}

	function removeFood()
	{
		$error = false;
		$foodName = Url::get('foodName');

		if (!$this->user->isLoggedIn()) {
			$error = 'User not logged in.';
		}

		$this->favorite->removeFood($this->user->id(), $foodName);

		$result = array(
			'success' => !$error,
			'error' => $error,
		);

		echo json_encode($result);
	}
}

?>