<?php

class Login_Controller extends AbstractController
{
	function index() { $this->login(); }

	function login()
	{
		if (Url::getBool('register_submit')) {
			$this->register();
			return;
		}

		$this->load->model('User_Model', 'user');

		$username = Url::get('username');
		$password = md5(Url::get('password'));
		$redirect = Url::get('redirect');
		$json = Url::getBool('json');

		//
		// process login.
		// login user using information given
		$login_success = $this->user->login($username, $password);

		if ($json) {
			// return JSON object with relevant information
			$userinfo = $login_success ? $this->user->getArray() : null;
			$result = array(
				'login_success' => $login_success,
				'json' => $json,
				'form_username' => $username,
				'form_password' => $password,
				'userinfo' => $userinfo,
			);

			echo json_encode($result);
		} else if ($redirect) {
			// redirect to given url.
			Url::redirect($redirect);
		} else {
			// do nothing if json and redirect not specified.
			die('Debug: Did nothing (redirect and json empty)');
		}
	}

	function logout()
	{
		$this->load->model('User_Model', 'user');

		$redirect = Url::get('redirect');

		// logout the user
		if ($this->user->isLoggedIn()) {
			$this->user->logout();
		}

		if ($redirect) {
			// redirect to given url.
			Url::redirect($redirect);
		} else {
			// redirect to default controller if no redirect specified.
			include(TMVC_MYAPPDIR . 'configs' . DS . 'application.php');
			Url::redirect(Url::create($config['default_controller']));
		}
	}

	function register()
	{
		$this->load->model('User_Model', 'user');
		$redirect = Url::get('redirect');
		$username = Url::get('username');
		$password = Url::get('password');

		if ($this->user->isLoggedIn()) {
			Session_Handler::addError('Already logged in.', 'login');
			Url::redirect($redirect);
		}

		if ($this->user->register($username, $password)) {
			Session_Handler::addMessage('Registered successfully. You may now login with your new username and password.');
			$this->user->login($username, md5($password));
		}

		Url::redirect($redirect);
	}
}

?>